# Ad Experience

This guide will help you fetch metrics and dimensions used to compile Smartsight Ad Experience dashboards. &#x20;

### Percentage of Ad Fill Rate <mark style="color:green;">GET</mark>  <a href="#plays" id="plays"></a>

Returns the percentage number of ads served divided by the total number of ad requests that the server makes

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl 'https://smartsight3.mediamelon.com/mm-apis/session/<customer-id>?planlevel=<level>&period=start=1729666800,end=1730271600&metrics=adfillrate,player&agg=1&aggby=player'
-x GET --header 'Authorization: Bearer <access_token>'
```

{% endcode %}

{% hint style="info" %}
If you run this request yourself it will not work,  you should replace the \<access\_token> in this example with your own Keycloak access\_token you get by running [Fetch Auth Token](https://docs.mediamelon.com/mediamelon/smartsight-apis/accessing-the-api#auth-token)
{% endhint %}

#### Required request path parameters

<table data-view="cards"><thead><tr><th></th><th></th><th></th></tr></thead><tbody><tr><td><code>customer-id</code> string</td><td>A path parameter in form of a string. This is the unique identifier and you will be able to find this Id on your user profile page.</td><td></td></tr></tbody></table>

#### Required request query parameters

<table data-view="cards"><thead><tr><th></th><th></th><th></th></tr></thead><tbody><tr><td><code>planlevel</code>string</td><td>A  query parameter in form of a string. This is the plan identifier number associated with CustomerID and you will be able to find this plan level using https://smartsight.mediamelon.com/planLevelByCustId/&#x3C;customer-id></td><td></td></tr><tr><td><code>period</code> string</td><td>A query parameter in comma-separated string format. It needs to in the format of start date and end date (eg: start=1729666800,end=1730271600) in epoch time. For reference, use this <a href="https://www.epochconverter.com/">Epoch Time converter</a></td><td></td></tr><tr><td><code>metrics</code>string</td><td>Combination of query parameters <code>metrics=adfillrate,player</code>in string format. This request needs comma-separated metrics to retrieve the rquested data. </td><td></td></tr><tr><td><code>agg</code> string </td><td>A  query parameter in form of a string to return data by enabling or disabling aggregation (values: 1 or 2).    </td><td></td></tr><tr><td><code>aggby</code> string </td><td>A  query parameter in form of a string. The requested data will aggregated by given dimension query parameter.</td><td></td></tr></tbody></table>

#### Response

<details>

<summary><mark style="color:green;">GET</mark>  <mark style="background-color:green;">200</mark></summary>

{% code overflow="wrap" lineNumbers="true" %}

```json
{
    "totalcount": 17,
    "pagecount": 17,
    "totalrecords": 17,
    "response": [
        {
            "adfillrate": 100.0,
            "player": "tve-web-theo",
            "totalpages": 17
        },
        .
        ..
        ...
        ....,
        {
            "adfillrate": 0.0,
            "player": "svod-ios-avplayer",
            "totalpages": 17
        }
    ]
}
```

{% endcode %}

</details>

***

### Number of Ad Impression <mark style="color:green;">GET</mark> <a href="#plays" id="plays"></a>

Returns the total number of times an ad is displayed on user's screen, regardless of whether the users interacted with it

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl 'https://smartsight3.mediamelon.com/mm-apis/session/<customer-id>?planlevel=<level>&period=start=1729666800,end=1730271600&metrics=adimpression,player&agg=1&aggby=player'
-x GET --header 'Authorization: Bearer <access_token>'
```

{% endcode %}

#### Required request path parameters

<table data-view="cards"><thead><tr><th></th><th></th><th></th></tr></thead><tbody><tr><td><code>customer-id</code> string</td><td>A path parameter in form of a string. This is the unique identifier and you will be able to find this Id on your user profile page.</td><td></td></tr></tbody></table>

#### Required request query parameters

<table data-view="cards"><thead><tr><th></th><th></th><th></th></tr></thead><tbody><tr><td><code>planlevel</code>string</td><td>A  query parameter in form of a string. This is the plan identifier number associated with CustomerID and you will be able to find this plan level using https://smartsight.mediamelon.com/planLevelByCustId/&#x3C;customer-id></td><td></td></tr><tr><td><code>period</code> string</td><td>A query parameter in comma-separated string format. It needs to in the format of start date and end date (eg: start=1729666800,end=1730271600) in epoch time. For reference, use this <a href="https://www.epochconverter.com/">Epoch Time converter</a></td><td></td></tr><tr><td><code>metrics</code>string</td><td>Combination of query parameters <code>metrics=adimpression,player</code>in string format. This request needs comma-separated metrics to retrieve the rquested data. </td><td></td></tr><tr><td><code>agg</code> string </td><td>A  query parameter in form of a string to return data by enabling or disabling aggregation (values: 1 or 2).    </td><td></td></tr><tr><td><code>aggby</code> string </td><td>A  query parameter in form of a string. The requested data will aggregated by given dimension query parameter.</td><td></td></tr></tbody></table>

#### Response

<details>

<summary><mark style="color:green;">GET</mark>  <mark style="background-color:green;">200</mark></summary>

{% code overflow="wrap" lineNumbers="true" %}

```json
{
    "totalcount": 17,
    "pagecount": 17,
    "totalrecords": 17,
    "response": [
        {
            "adimpression": 3,
            "player": "tve-web-theo",
            "totalpages": 17
        },
        .
        ..
        ...
        ....,
        {
            "adimpression": 17,
            "player": "svod-ios-avplayer",
            "totalpages": 17
        }
    ]
}
```

{% endcode %}

</details>

***

### Number of Ad Play <mark style="color:green;">GET</mark>

Returns total number of times an ad impression was actually seen by users

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl 'https://smartsight3.mediamelon.com/mm-apis/session/<customer-id>?planlevel=<level>&period=start=1729666800,end=1730271600&metrics=adplay,player&agg=1&aggby=player'
-x GET --header 'Authorization: Bearer <access_token>'
```

{% endcode %}

#### Required request path parameters

<table data-view="cards"><thead><tr><th></th><th></th><th></th></tr></thead><tbody><tr><td><code>customer-id</code> string</td><td>A path parameter in form of a string. This is the unique identifier and you will be able to find this Id on your user profile page.</td><td></td></tr></tbody></table>

#### Required request query parameters

<table data-view="cards"><thead><tr><th></th><th></th><th></th></tr></thead><tbody><tr><td><code>planlevel</code>string</td><td>A  query parameter in form of a string. This is the plan identifier number associated with CustomerID and you will be able to find this plan level using https://smartsight.mediamelon.com/planLevelByCustId/&#x3C;customer-id></td><td></td></tr><tr><td><code>period</code> string</td><td>A query parameter in comma-separated string format. It needs to in the format of start date and end date (eg: start=1729666800,end=1730271600) in epoch time. For reference, use this <a href="https://www.epochconverter.com/">Epoch Time converter</a></td><td></td></tr><tr><td><code>metrics</code>string</td><td>Combination of query parameters <code>metrics=adplay,player</code>in string format. This request needs comma-separated metrics to retrieve the rquested data. </td><td></td></tr><tr><td><code>agg</code> string </td><td>A  query parameter in form of a string to return data by enabling or disabling aggregation (values: 1 or 2).    </td><td></td></tr><tr><td><code>aggby</code> string </td><td>A  query parameter in form of a string. The requested data will aggregated by given dimension query parameter.</td><td></td></tr></tbody></table>

#### Response

<details>

<summary><mark style="color:green;">GET</mark>  <mark style="background-color:green;">200</mark></summary>

{% code overflow="wrap" lineNumbers="true" %}

```json
{
    "totalcount": 17,
    "pagecount": 17,
    "totalrecords": 17,
    "response": [
        {
            "adplay": 3,
            "player": "tve-web-theo",
            "totalpages": 17
        },
        .
        ..
        ...
        ....,
        {
            "adplay": 17,
            "player": "svod-ios-avplayer",
            "totalpages": 17
        }
    ]
}
```

{% endcode %}

</details>

***

### Number of Ad Errors <mark style="color:green;">GET</mark>

Returns total number of times an ad error occurred during an ad's lifecycle

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl 'https://smartsight3.mediamelon.com/mm-apis/session/<customer-id>?planlevel=<level>&period=start=1729666800,end=1730271600&metrics=aderror,player&agg=1&aggby=player'
-x GET --header 'Authorization: Bearer <access_token>'
```

{% endcode %}

#### Required request path parameters

<table data-view="cards"><thead><tr><th></th><th></th><th></th></tr></thead><tbody><tr><td><code>customer-id</code> string</td><td>A path parameter in form of a string. This is the unique identifier and you will be able to find this Id on your user profile page.</td><td></td></tr></tbody></table>

#### Required request query parameters

<table data-view="cards"><thead><tr><th></th><th></th><th></th></tr></thead><tbody><tr><td><code>planlevel</code>string</td><td>A  query parameter in form of a string. This is the plan identifier number associated with CustomerID and you will be able to find this plan level using https://smartsight.mediamelon.com/planLevelByCustId/&#x3C;customer-id></td><td></td></tr><tr><td><code>period</code> string</td><td>A query parameter in comma-separated string format. It needs to in the format of start date and end date (eg: start=1729666800,end=1730271600) in epoch time. For reference, use this <a href="https://www.epochconverter.com/">Epoch Time converter</a></td><td></td></tr><tr><td><code>metrics</code>string</td><td>Combination of query parameters <code>metrics=aderror,player</code>in string format. This request needs comma-separated metrics to retrieve the rquested data. </td><td></td></tr><tr><td><code>agg</code> string </td><td>A  query parameter in form of a string to return data by enabling or disabling aggregation (values: 1 or 2).    </td><td></td></tr><tr><td><code>aggby</code> string </td><td>A  query parameter in form of a string. The requested data will aggregated by given dimension query parameter.</td><td></td></tr></tbody></table>

#### Response

<details>

<summary><mark style="color:green;">GET</mark>  <mark style="background-color:green;">200</mark></summary>

{% code overflow="wrap" lineNumbers="true" %}

```json
{
    "totalcount": 17,
    "pagecount": 17,
    "totalrecords": 17,
    "response": [
        {
            "aderror": 2,
            "player": "tve-web-theo",
            "totalpages": 17
        },
        .
        ..
        ...
        ....,
        {
            "aderror": 4,
            "player": "svod-ios-avplayer",
            "totalpages": 17
        }
    ]
}
```

{% endcode %}

</details>

***

### Number of Ad Block <mark style="color:green;">GET</mark>

Total number of times an ad was blocked

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl 'https://smartsight3.mediamelon.com/mm-apis/session/<customer-id>?planlevel=<level>&period=start=1729666800,end=1730271600&metrics=adblock,player&agg=1&aggby=player'
-x GET --header 'Authorization: Bearer <access_token>'
```

{% endcode %}

#### Required request path parameters

<table data-view="cards"><thead><tr><th></th><th></th><th></th></tr></thead><tbody><tr><td><code>customer-id</code> string</td><td>A path parameter in form of a string. This is the unique identifier and you will be able to find this Id on your user profile page.</td><td></td></tr></tbody></table>

#### Required request query parameters

<table data-view="cards"><thead><tr><th></th><th></th><th></th></tr></thead><tbody><tr><td><code>planlevel</code>string</td><td>A  query parameter in form of a string. This is the plan identifier number associated with CustomerID and you will be able to find this plan level using https://smartsight.mediamelon.com/planLevelByCustId/&#x3C;customer-id></td><td></td></tr><tr><td><code>period</code> string</td><td>A query parameter in comma-separated string format. It needs to in the format of start date and end date (eg: start=1729666800,end=1730271600) in epoch time. For reference, use this <a href="https://www.epochconverter.com/">Epoch Time converter</a></td><td></td></tr><tr><td><code>metrics</code>string</td><td>Combination of query parameters <code>metrics=adblock,player</code>in string format. This request needs comma-separated metrics to retrieve the rquested data. </td><td></td></tr><tr><td><code>agg</code> string </td><td>A  query parameter in form of a string to return data by enabling or disabling aggregation (values: 1 or 2).    </td><td></td></tr><tr><td><code>aggby</code> string </td><td>A  query parameter in form of a string. The requested data will aggregated by given dimension query parameter.</td><td></td></tr></tbody></table>

#### Response

<details>

<summary><mark style="color:green;">GET</mark>  <mark style="background-color:green;">200</mark></summary>

{% code overflow="wrap" lineNumbers="true" %}

```json
{
    "totalcount": 17,
    "pagecount": 17,
    "totalrecords": 17,
    "response": [
        {
            "adblock": 1,
            "player": "tve-web-theo",
            "totalpages": 17
        },
        .
        ..
        ...
        ....,
        {
            "adblock": 0,
            "player": "svod-ios-avplayer",
            "totalpages": 17
        }
    ]
}
```

{% endcode %}

</details>

***

### Ad Startup Delay <mark style="color:green;">GET</mark>

Average time taken by ads to start playing back

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl 'https://smartsight3.mediamelon.com/mm-apis/session/<customer-id>?planlevel=<level>&period=start=1729666800,end=1730271600&metrics=adlatency'
-x GET --header 'Authorization: Bearer <access_token>'
```

{% endcode %}

#### Required request path parameters

<table data-view="cards"><thead><tr><th></th><th></th><th></th></tr></thead><tbody><tr><td><code>customer-id</code> string</td><td>A path parameter in form of a string. This is the unique identifier and you will be able to find this Id on your user profile page.</td><td></td></tr></tbody></table>

#### Required request query parameters

<table data-view="cards"><thead><tr><th></th><th></th><th></th></tr></thead><tbody><tr><td><code>planlevel</code>string</td><td>A  query parameter in form of a string. This is the plan identifier number associated with CustomerID and you will be able to find this plan level using https://smartsight.mediamelon.com/planLevelByCustId/&#x3C;customer-id></td><td></td></tr><tr><td><code>period</code> string</td><td>A query parameter in comma-separated string format. It needs to in the format of start date and end date (eg: start=1729666800,end=1730271600) in epoch time. For reference, use this <a href="https://www.epochconverter.com/">Epoch Time converter</a></td><td></td></tr><tr><td><code>metrics</code>string</td><td>Combination of query parameters <code>metrics=adlatency</code>in string format. This request needs comma-separated metrics to retrieve the rquested data. </td><td></td></tr></tbody></table>

#### Response

<details>

<summary><mark style="color:green;">GET</mark>  <mark style="background-color:green;">200</mark></summary>

{% code overflow="wrap" lineNumbers="true" %}

```json
{
    "totalcount": 1,
    "pagecount": 1,
    "totalrecords": 1,
    "response": [
        {
            "adlatency": 983.6793103448276,
            "viewercount": 465250,
            "totalpages": 1
        }
    ]
}
```

{% endcode %}

</details>

***

### Percentage of Ad Buffering Ratio <mark style="color:green;">GET</mark>

Returns percentage of ad viewing time spent in buffering

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl 'https://smartsight3.mediamelon.com/mm-apis/session/<customer-id>?planlevel=<level>&period=start=1729666800,end=1730271600&metrics=adbufferingratio,player,adviewtime&agg=1&aggby=player'
-x GET --header 'Authorization: Bearer <access_token>'
```

{% endcode %}

#### Required request path parameters

<table data-view="cards"><thead><tr><th></th><th></th><th></th></tr></thead><tbody><tr><td><code>customer-id</code> string</td><td>A path parameter in form of a string. This is the unique identifier and you will be able to find this Id on your user profile page.</td><td></td></tr></tbody></table>

#### Required request query parameters

<table data-view="cards"><thead><tr><th></th><th></th><th></th></tr></thead><tbody><tr><td><code>planlevel</code>string</td><td>A  query parameter in form of a string. This is the plan identifier number associated with CustomerID and you will be able to find this plan level using https://smartsight.mediamelon.com/planLevelByCustId/&#x3C;customer-id></td><td></td></tr><tr><td><code>period</code> string</td><td>A query parameter in comma-separated string format. It needs to in the format of start date and end date (eg: start=1729666800,end=1730271600) in epoch time. For reference, use this <a href="https://www.epochconverter.com/">Epoch Time converter</a></td><td></td></tr><tr><td><code>metrics</code>string</td><td>Combination of query parameters <code>metrics=adbufferingratio,player,adviewtime</code> in string format. This request needs comma-separated metrics to retrieve the rquested data. </td><td></td></tr><tr><td><code>agg</code> string </td><td>A  query parameter in form of a string to return data by enabling or disabling aggregation (values: 1 or 2).    </td><td></td></tr><tr><td><code>aggby</code> string </td><td>A  query parameter in form of a string. The requested data will aggregated by given dimension query parameter.</td><td></td></tr></tbody></table>

#### Response

<details>

<summary><mark style="color:green;">GET</mark>  <mark style="background-color:green;">200</mark></summary>

{% code overflow="wrap" lineNumbers="true" %}

```json
{
    "totalcount": 17,
    "pagecount": 17,
    "totalrecords": 17,
    "response": [
        {
            "adbufferingratio": 0.00669494930947873,
            "player": "svod-tvos-avplayer",
            "adviewtime": 0.0,
            "playdur": 6508582.0,
            "totalpages": 17
        },
        .
        ..
        ...
        ....
        {
            "adbufferingratio": 0.0532,
            "player": "svod-ios-avplayer",
            "adviewtime": 0.0,
            "playdur": 18125257.0,
            "totalpages": 17
        }
    ]
}
```

{% endcode %}

</details>

***

### Exit Before Ad Starts <mark style="color:green;">GET</mark>

Average time taken by ads to start playing back

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl 'https://smartsight3.mediamelon.com/mm-apis/session/<customer-id>?planlevel=<level>&period=start=1729666800,end=1730271600&metrics=adstartupabandonmentrate'
-x GET --header 'Authorization: Bearer <access_token>'
```

{% endcode %}

#### Required request path parameters

<table data-view="cards"><thead><tr><th></th><th></th><th></th></tr></thead><tbody><tr><td><code>customer-id</code> string</td><td>A path parameter in form of a string. This is the unique identifier and you will be able to find this Id on your user profile page.</td><td></td></tr></tbody></table>

#### Required request query parameters

<table data-view="cards"><thead><tr><th></th><th></th><th></th></tr></thead><tbody><tr><td><code>planlevel</code>string</td><td>A  query parameter in form of a string. This is the plan identifier number associated with CustomerID and you will be able to find this plan level using https://smartsight.mediamelon.com/planLevelByCustId/&#x3C;customer-id></td><td></td></tr><tr><td><code>period</code> string</td><td>A query parameter in comma-separated string format. It needs to in the format of start date and end date (eg: start=1729666800,end=1730271600) in epoch time. For reference, use this <a href="https://www.epochconverter.com/">Epoch Time converter</a></td><td></td></tr><tr><td><code>metrics</code>string</td><td>Combination of query parameters <code>metrics=adstartupabandonmentrate</code>in string format. This request needs comma-separated metrics to retrieve the rquested data. </td><td></td></tr></tbody></table>

#### Response

<details>

<summary><mark style="color:green;">GET</mark>  <mark style="background-color:green;">200</mark></summary>

{% code overflow="wrap" lineNumbers="true" %}

```json
{
    "totalcount": 1,
    "pagecount": 1,
    "totalrecords": 1,
    "response": [
        {
            "adstartupabandonmentrate": 3.226294427952345,
            "attempts": 490028,
            "failurerate": 3.4618429967267175,
            "totalpages": 1
        }
    ]
}
```

{% endcode %}

</details>

***

### Percentage of Ad Buffering Ratio <mark style="color:green;">GET</mark>

Returns percentage of ad viewing time spent in buffering

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl 'https://smartsight3.mediamelon.com/mm-apis/session/<customer-id>?planlevel=<level>&period=start=1729666800,end=1730271600&metrics=adskippercentage,player&agg=1&aggby=player'
-x GET --header 'Authorization: Bearer <access_token>'
```

{% endcode %}

#### Required request path parameters

<table data-view="cards"><thead><tr><th></th><th></th><th></th></tr></thead><tbody><tr><td><code>customer-id</code> string</td><td>A path parameter in form of a string. This is the unique identifier and you will be able to find this Id on your user profile page.</td><td></td></tr></tbody></table>

#### Required request query parameters

<table data-view="cards"><thead><tr><th></th><th></th><th></th></tr></thead><tbody><tr><td><code>planlevel</code>string</td><td>A  query parameter in form of a string. This is the plan identifier number associated with CustomerID and you will be able to find this plan level using https://smartsight.mediamelon.com/planLevelByCustId/&#x3C;customer-id></td><td></td></tr><tr><td><code>period</code> string</td><td>A query parameter in comma-separated string format. It needs to in the format of start date and end date (eg: start=1729666800,end=1730271600) in epoch time. For reference, use this <a href="https://www.epochconverter.com/">Epoch Time converter</a></td><td></td></tr><tr><td><code>metrics</code>string</td><td>Combination of query parameters <code>metrics=adskippercentage,player</code> in string format. This request needs comma-separated metrics to retrieve the rquested data. </td><td></td></tr><tr><td><code>agg</code> string </td><td>A  query parameter in form of a string to return data by enabling or disabling aggregation (values: 1 or 2).    </td><td></td></tr><tr><td><code>aggby</code> string </td><td>A  query parameter in form of a string. The requested data will aggregated by given dimension query parameter.</td><td></td></tr></tbody></table>

#### Response

<details>

<summary><mark style="color:green;">GET</mark>  <mark style="background-color:green;">200</mark></summary>

{% code overflow="wrap" lineNumbers="true" %}

```json
{
    "totalcount": 17,
    "pagecount": 17,
    "totalrecords": 17,
    "response": [
        {
            "adskippercentage": 0.8,
            "player": "tve-web-theo",
            "totalpages": 17
        },
        .
        ..
        ...
        ....
        {
            "adskippercentage": 0.1,
            "player": "svod-tvos-avplayer",
            "totalpages": 17
        }
    ]
}
```

{% endcode %}

</details>

***

### Percentage of CTR <mark style="color:green;">GET</mark>&#x20;

Returns percentage of ads that were clicked by the user

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl 'https://smartsight3.mediamelon.com/mm-apis/qbrData/session/<customer-id>?planlevel=<level>&period=start=1729666800,end=1730271600&metrics=adclickthroughrate,player&agg=1&aggby=player'
-x GET --header 'Authorization: Bearer <access_token>'
```

{% endcode %}

#### Required request path parameters

<table data-view="cards"><thead><tr><th></th><th></th><th></th></tr></thead><tbody><tr><td><code>customer-id</code> string</td><td>A path parameter in form of a string. This is the unique identifier and you will be able to find this Id on your user profile page.</td><td></td></tr></tbody></table>

#### Required request query parameters

<table data-view="cards"><thead><tr><th></th><th></th><th></th></tr></thead><tbody><tr><td><code>planlevel</code>string</td><td>A  query parameter in form of a string. This is the plan identifier number associated with CustomerID and you will be able to find this plan level using https://smartsight.mediamelon.com/planLevelByCustId/&#x3C;customer-id></td><td></td></tr><tr><td><code>period</code> string</td><td>A query parameter in comma-separated string format. It needs to in the format of start date and end date (eg: start=1729666800,end=1730271600) in epoch time. For reference, use this <a href="https://www.epochconverter.com/">Epoch Time converter</a></td><td></td></tr><tr><td><code>metrics</code>string</td><td>Combination of query parameters <code>metrics=adclickthroughrate,player</code> in string format. This request needs comma-separated metrics to retrieve the rquested data. </td><td></td></tr><tr><td><code>agg</code> string </td><td>A  query parameter in form of a string to return data by enabling or disabling aggregation (values: 1 or 2).    </td><td></td></tr><tr><td><code>aggby</code> string </td><td>A  query parameter in form of a string. The requested data will aggregated by given dimension query parameter.</td><td></td></tr></tbody></table>

#### Response

<details>

<summary><mark style="color:green;">GET</mark>  <mark style="background-color:green;">200</mark></summary>

{% code overflow="wrap" lineNumbers="true" %}

```json
{
    "totalcount": 17,
    "pagecount": 17,
    "totalrecords": 17,
    "response": [
        {
            "adclickthroughrate": 0.14415054145215694,
            "player": "tve-android-exoplayer",
            "totalpages": 17
        },
        .
        ..
        ...
        ....
        {
            "adclickthroughrate": 1.15054145215694,
            "player": "tve-tvos-avplayer",
            "totalpages": 17
        }
    ]
}
```

{% endcode %}

</details>

***
